cURL
curl --request POST \ --url https://api.trulayer.ai/v1/ci/gate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "policy": { "on_fail": "warn", "score_floor": 123, "delta_tolerance": 123 }, "baseline_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } '
{ "decision": "pass", "mean_score": 123, "run_url": "<string>", "reason": "<string>", "mean_delta": 123 }
Documentation IndexFetch the complete documentation index at: https://docs.trulayer.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.trulayer.ai/llms.txt
Use this file to discover all available pages before exploring further.
SDK API key (tl_...) or Clerk session JWT
tl_...
Show child attributes
Gate decision
pass
warn
block